- Qt 5.15
- Qt Quick Test
- QML Types
- Obsolete Members for TestCase
- Qt 5.15.18 Reference Documentation

# Obsolete Members for TestCase

The following members of QML type TestCase are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- mouseDoubleClick(item, x, y, button, modifiers, delay)`(obsolete)`

## Method Documentation

mouseDoubleClick(item, x = item.width / 2, y = item.height / 2, button = Qt.LeftButton, modifiers = Qt.NoModifier, delay = -1)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Simulates double-clicking a mouse button with optional modifiers on an item. The position of the click is defined by x and y. If x and y are not defined the position will be the center of item. If delay is specified, the test will wait for the specified amount of milliseconds before pressing and before releasing the button.

The position given by x and y is transformed from the co-ordinate system of item into window co-ordinates and then delivered. If item is obscured by another item, or a child of item occupies that position, then the event will be delivered to the other item instead.

See also mouseDoubleClickSequence(), mousePress(), mouseRelease(), mouseClick(), mouseMove(), mouseDrag(), and mouseWheel().